Bug 326241 - Fedora 8 test 3 ships with an outdated version of seahorse
Fedora 8 test 3 ships with an outdated version of seahorse
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 08:43 EDT by Oded Arbel
Modified: 2008-11-26 06:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 06:27:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2007-10-10 08:43:48 EDT
Description of problem:
The version currently available in the Fedora development branch is 1.0.1 which
is the version that shipped with the previous release of GNOME. The seahorse
version for the 2.20 version of GNOME - the one that Fedora 8 has - is also 2.20

Version-Release number of selected component (if applicable):
1.0.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
There are some important features and bug fixes in the 2.20 version, for example
the ability to change the gnome-keyring password (see GNOME bugzilla ticket
http://bugzilla.gnome.org/show_bug.cgi?id=484391 ) or solved usability issues
with the new key functionality (GNOME bugzilla ticket
http://bugzilla.gnome.org/show_bug.cgi?id=419227 )
Comment 1 Jérôme Benoit 2007-11-25 13:29:26 EST
Still out of date in F8 final ...
Comment 2 Seth Vidal 2007-12-05 14:30:56 EST
Hi - f8 updates-testing has a new seahorse.

and if anyone wants to take over the pkg or be added as  comaintainer, let me know.
Comment 3 Oded Arbel 2007-12-30 09:40:11 EST
Seahorse in Fedora 8 update testing claims to be version 2.21, but it doesn't
look like the latest version, specifically the GNOME keyring tab that should be
available in the preferences dialog - and is the only way to change the keyring
password - does not exist in the current version shipped with Fedora.

See http://library.gnome.org/users/seahorse/stable/preferences.html.en#keyring
for the documentation of the missing functionality, and these GNOME bugs for
changing the password that are closed as "can be done with current stable
seahorse": 
http://bugzilla.gnome.org/show_bug.cgi?id=338088
http://bugzilla.gnome.org/show_bug.cgi?id=484391
http://bugzilla.gnome.org/show_bug.cgi?id=505362
Comment 4 Bug Zapper 2008-11-26 02:56:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Oded Arbel 2008-11-26 06:27:48 EST
The problem doesn't look to exist in Fedora 9 as it finally ships with the seahorse that is part of the GNOME desktop that ships with Fedora 8.

Its a shame that for a year no one found the 1 hour it takes to sync the Fedora package with the sources for the same GNOME version that all other Fedora desktop applications originate from.

I would have done it myself, but from my experience it takes much more then a year for an external developer to get a package into Fedora (as I've been trying to push a package to Fedora, that was requested by a Fedora developer, for almost two years now).

Note You need to log in before you can comment on or make changes to this bug.